Name: python-module-pyorbit
Version: 2.0.1
Release: alt2

Summary: Python bindings for ORBit2

Group: Development/Python
License: LGPL
Url: http://freshmeat.net/projects/pyorbit/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: pyorbit-%version.tar.bz2

%setup_python_module pyorbit

Obsoletes: orbit-python
Obsoletes: pyorbit
Provides: pyorbit

# manually removed: eric gcc-g77 indent 
# Automatically added by buildreq on Tue Jul 13 2004
BuildRequires: ORBit2-devel gcc-c++ glib2-devel hostinfo libIDL-devel libstdc++-devel pkgconfig python-base python-dev python-modules-encodings

%description
pyorbit is an extension module for python that provides a Python
language mapping for the ORBit2 CORBA ORB.

%package devel
Summary: Files needed to build wrappers for pyorbit addon libraries
Group: Development/Python
Obsoletes: orbit-python-devel
Requires: %name = %version-%release

%description devel
This package contains files required to build extensions that
interoperate with pyorbit.

%prep
%setup -q -n pyorbit-%version
%configure

%build
%make_build

%install
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%files
%python_sitelibdir/*.so
%python_sitelibdir/*.py*
%doc AUTHORS INSTALL NEWS README TODO ChangeLog
%doc tests

%files devel
%_includedir/pyorbit-2/*.h
%_libdir/pkgconfig/pyorbit-2.pc

%changelog
* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt2
- rebuild with python 2.4

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1
- new version
- cleanup spec

* Tue Jul 13 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt5
- renamed
- cleanup spec
- adopted to python policy

* Tue Feb 10 2004 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt4
- python23 build

* Fri Nov 14 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt3
- fixed release to alt3

* Tue Nov 11 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-3
- Fixed obsoletes orbit-python

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-2
- hasher build

* Wed Oct 01 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-1
- initial spec for Sisyphus

* Tue Nov 12 2002  James Henstridge  <james@daa.com.au>
- initial spec file based on orbit-python's one.

